summaryrefslogtreecommitdiff
path: root/dev-python/cssutils
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/cssutils
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/cssutils')
-rw-r--r--dev-python/cssutils/Manifest1
-rw-r--r--dev-python/cssutils/cssutils-1.0.2-r2.ebuild56
-rw-r--r--dev-python/cssutils/metadata.xml18
3 files changed, 75 insertions, 0 deletions
diff --git a/dev-python/cssutils/Manifest b/dev-python/cssutils/Manifest
new file mode 100644
index 000000000000..23b7b70e68ac
--- /dev/null
+++ b/dev-python/cssutils/Manifest
@@ -0,0 +1 @@
+DIST cssutils-1.0.2.tar.gz 367038 BLAKE2B e19edce100dbc05d6e469eb6b0ad234d7d4c9458aca1b2a3e72bdeff1a35dec64427353936a339e2071d8ba2e8804c5754f55a391955a61ef61ae56381269125 SHA512 4988893875a03923d3127e334654799e5c2ebcdc0a7f5b3fb5c9ab27d1b331caa5bf197161312a298531e0757843aa3259ceba5fa19947353eea24a5da53ceda
diff --git a/dev-python/cssutils/cssutils-1.0.2-r2.ebuild b/dev-python/cssutils/cssutils-1.0.2-r2.ebuild
new file mode 100644
index 000000000000..cd0c3a9f7292
--- /dev/null
+++ b/dev-python/cssutils/cssutils-1.0.2-r2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A CSS Cascading Style Sheets library"
+HOMEPAGE="https://pypi.org/project/cssutils/ https://bitbucket.org/cthedot/cssutils https://cthedot.de/cssutils/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ppc x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ # Disable test failing with dev-python/pyxml installed.
+ if has_version dev-python/pyxml; then
+ sed -e "s/test_linecol/_&/" \
+ -i src/cssutils/tests/test_errorhandler.py \
+ || die
+ fi
+
+ # requires old pbr, does it really?
+ sed \
+ -e '/tests_require/d' \
+ -i setup.py || die
+
+ # fix casing of call to Windows-1252. Remove when upstream fixes casing.
+ sed -i -e 's/encutils.tryEncodings(test)/encutils.tryEncodings(test).lower()/' \
+ src/cssutils/tests/test_encutils/__init__.py || die "fixing test_encutils failed"
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ ln -s "${S}/sheets" "${BUILD_DIR}/sheets" || die
+ # esetup.py test
+ # exclude tests that connect to the network
+ set -- nosetests \
+ -e test_parseUrl -e test_handlers -P "${BUILD_DIR}/lib/cssutils/tests"
+ echo "$@"
+ "$@" || die "Testing failed with ${EPYTHON}"
+}
diff --git a/dev-python/cssutils/metadata.xml b/dev-python/cssutils/metadata.xml
new file mode 100644
index 000000000000..34c0013fcd65
--- /dev/null
+++ b/dev-python/cssutils/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>lordvan@gentoo.org</email>
+ <name>Thomas Raschbacher</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="google-code">cssutils</remote-id>
+ <remote-id type="pypi">cssutils</remote-id>
+ <remote-id type="bitbucket">cthedot/cssutils</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>